## libkexiv2-trinity 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( libkexiv2 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckIncludeFileCXX    )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== libkexiv2/CMakeLists.txt ===
add_subdirectory( ${PROJECT_NAME} )


##### other data

string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )

configure_file( ${PROJECT_NAME}.pc.cmake ${PROJECT_NAME}.pc @ONLY )

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc
    DESTINATION ${PKGCONFIG_INSTALL_DIR}
)

=== libkexiv2/libkexiv2/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${EXIV2_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
  ${EXIV2_LIBRARY_DIRS}
)


##### kexiv2 (shared)

tde_add_library( kexiv2 SHARED AUTOMOC

  SOURCES
        kexiv2.cpp
        kexiv2private.cpp
  LINK
     tdecore-shared
     ${EXIV2_LIBRARIES}
     
  VERSION 5.0.0

  DESTINATION ${LIB_INSTALL_DIR}
)


##### headers

install(
    FILES
        kexiv2.h
        libkexiv2_export.h
        version.h
        
    DESTINATION ${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}
)

## libkexiv2-trinity 3.5.13.2

=== debian/changelog ===
libkexiv2-trinity (4:3.5.13.2-0ubuntu13.04.0+0) raring; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 13:21:32 +0200

libkexiv2-trinity (0.1.7-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

libkexiv2-trinity (0.1.7-0ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 05 March 2009 01:11:00 -0600

libkexiv2-trinity (0.1.7-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 17 Dec 2008 15:46:00 -0600

libkexiv2 (0.1.7-1ubuntu1) intrepid; urgency=low

  * Rename libkexiv2-dev to libkexiv2-3-dev (new libkexiv2-dev is KDE 4 version)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 11 Sep 2008 13:42:39 +0100

libkexiv2 (0.1.7-1) unstable; urgency=low

  * New upstream release
    - digikam: digikam aborts: MakerTagInfo registry full (Closes:
    #465495)

 -- Mark Purcell <msp@debian.org>  Tue, 22 Apr 2008 22:04:16 +1000

libkexiv2 (0.1.6-1) unstable; urgency=low

  * New upstream release
  * lintian cleanup:
    - use ${binary:Version}  substvar-source-version-is-deprecated libkexiv2-dev
    - Bump soname: package-name-doesnt-match-sonames libkexiv2-3

 -- Mark Purcell <msp@debian.org>  Fri, 28 Sep 2007 17:19:19 +0100

libkexiv2 (0.1.5-1) unstable; urgency=low

  * New upstream release

  [Achim Bohnet]
  * adapt packaging according to the API bump: libkexiv2.so.0 ->
    libkexiv2.so.1
  * libkexiv2-dev: depend on pkg-config because it contains a .pc file

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 11 May 2007 06:33:46 +0100

libkexiv2 (0.1.1-1) unstable; urgency=low

  * new upstream bugfix release

  [ Achim Bohnet ]
  * fix encoding of README.Debian: 8859-1 -> utf8. Thx to J. Riddell for
    noticing.
  * Update debian/copyright: Gilles email changed

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 24 Feb 2007 22:24:50 +0100

libkexiv2 (0.1.0-1) unstable; urgency=low

  [ Achim Bohnet ]
  * Initial upload (Closes: #408758)

  [ Mark Purcell ]
  * Provide more robust debian/rules get-orig-source 

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 18 Feb 2007 19:03:10 +0000

=== debian/control ===
Source: libkexiv2-trinity
Section: libs
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>> 5), quilt, cdbs, libexiv2-dev, kdelibs4-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://www.kipi-plugins.org/

Package: libkexiv2-3-trinity-dev
Section: libdevel
Architecture: any
Replaces: libkexiv2-3-kde3-dev (<< 4:3.5.13)
Breaks: libkexiv2-3-kde3-dev (<< 4:3.5.13)
Depends: libkexiv2-3-trinity (= ${binary:Version}), pkg-config
Description: Qt like interface for the libexiv2 library (development) [Trinity]
 libkexif2-dev contains development files and documentation for libkexiv2
 library.  The library documentation is available on kexiv2.h header file.
 .
 Libkexif is a wrapper around Exiv2 library to manipulate pictures metadata.

Package: libkexiv2-3-trinity
Section: libs
Architecture: any
Replaces: libkexiv2-3-kde3 (<< 4:3.5.13)
Breaks: libkexiv2-3-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: Qt like interface for the libexiv2 library (runtime) [Trinity]
 libkexif2 contains the library of libkexiv2.
 .
 Libkexif is a wrapper around Exiv2 library to manipulate pictures metadata.

=== debian/rules ===
#!/usr/bin/make -f

FILENAME = $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
UPFILENAME = $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).tar.bz2
URL = http://heanet.dl.sourceforge.net/kipi/$(UPFILENAME)

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-qt-kde.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_KDE_ENABLE_FINAL = yes

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -N -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo Converting $(UPFILENAME) to $(FILENAME)
	@@bzcat ../tarballs/$(UPFILENAME) | gzip -9 > ../tarballs/$(FILENAME)

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/kipi/libkexiv2-(.*)\.tar\.bz2 debian svn-upgrade

## libkexiv2-trinity 14.1.0

=== debian/changelog ===
libkexiv2-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#libkexiv2

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## libkexiv2-trinity 14.1.1

=== debian/changelog ===
libkexiv2-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#libkexiv2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 10 Sep 2023 15:12:19 +0200

## libkexiv2-trinity 14.1.2

=== debian/changelog ===
libkexiv2-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#libkexiv2

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 16 Mar 2024 03:53:17 +0100

## libkexiv2-trinity 14.1.3

=== debian/changelog ===
libkexiv2-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#libkexiv2

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Jul 2024 14:56:34 +0200

=== debian/control ===
Source: libkexiv2-trinity
Section: libs
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libexiv2-dev, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://www.kipi-plugins.org/

Package: libkexiv2-3-trinity-dev
Section: libdevel
Architecture: any
Replaces: libkexiv2-3-kde3-dev (<< 4:14.0.0~), libkexiv2-3-trinity-dev (<< 4:14.0.0~)
Breaks: libkexiv2-3-kde3-dev (<< 4:14.0.0~), libkexiv2-3-trinity-dev (<< 4:14.0.0~)
Depends: libkexiv2-3-trinity (= ${binary:Version}), pkg-config
Description: Qt like interface for the libexiv2 library (development) [Trinity]
 libkexif2-dev contains development files and documentation for libkexiv2
 library.  The library documentation is available on kexiv2.h header file.
 .
 Libkexif is a wrapper around Exiv2 library to manipulate pictures metadata.

Package: libkexiv2-3-trinity
Section: libs
Architecture: any
Replaces: libkexiv2-3-kde3 (<< 4:14.0.0~), libkexiv2-3-trinity (<< 4:14.0.0~)
Breaks: libkexiv2-3-kde3 (<< 4:14.0.0~), libkexiv2-3-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Qt like interface for the libexiv2 library (runtime) [Trinity]
 libkexif2 contains the library of libkexiv2.
 .
 Libkexif is a wrapper around Exiv2 library to manipulate pictures metadata.

## libkexiv2-trinity 14.1.4

=== debian/changelog ===
libkexiv2-trinity (4:14.1.4-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#libkexiv2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Package: libkexiv2-3-trinity-dev
 Section: libdevel
 Architecture: any
-Replaces: libkexiv2-3-kde3-dev (<< 4:14.0.0~), libkexiv2-3-trinity-dev (<< 4:14.0.0~)
-Breaks: libkexiv2-3-kde3-dev (<< 4:14.0.0~), libkexiv2-3-trinity-dev (<< 4:14.0.0~)
+Replaces: libkexiv2-3-trinity-dev (<< 4:14.0.0~)
+Breaks: libkexiv2-3-trinity-dev (<< 4:14.0.0~)
 Depends: libkexiv2-3-trinity (= ${binary:Version}), pkg-config
 Description: Qt like interface for the libexiv2 library (development) [Trinity]
  libkexif2-dev contains development files and documentation for libkexiv2
@@ -23,8 +23,8 @@
 Package: libkexiv2-3-trinity
 Section: libs
 Architecture: any
-Replaces: libkexiv2-3-kde3 (<< 4:14.0.0~), libkexiv2-3-trinity (<< 4:14.0.0~)
-Breaks: libkexiv2-3-kde3 (<< 4:14.0.0~), libkexiv2-3-trinity (<< 4:14.0.0~)
+Replaces: libkexiv2-3-trinity (<< 4:14.0.0~)
+Breaks: libkexiv2-3-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: Qt like interface for the libexiv2 library (runtime) [Trinity]
  libkexif2 contains the library of libkexiv2.

## libkexiv2-trinity 14.1.5~pre0

=== debian/changelog ===
libkexiv2-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 25306b8664b7f5b622ce4224eb3012aaca62bbbf
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libkexiv2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libkexiv2-trinity 14.1.5

=== debian/changelog ===
libkexiv2-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libkexiv2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libkexiv2-trinity 14.1.6~pre0

=== debian/changelog ===
libkexiv2-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 25306b8664b7f5b622ce4224eb3012aaca62bbbf
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libkexiv2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libkexiv2-trinity 14.1.6~pre1

=== debian/changelog ===
libkexiv2-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for eec99b8b9b06ead1f2669a00b5fc490ca684fda1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libkexiv2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:41:27 +0100

## libkexiv2-trinity 14.2.0~pre9

=== debian/changelog ===
libkexiv2-trinity (4:14.2.0~pre9-0ubuntu18.04.0+6) bionic; urgency=low

  * Automated git build for 32f388f6af5c7bfedde7c302fa0c922d0b731ac3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libkexiv2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
Source: libkexiv2-trinity
Section: libs
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libexiv2-dev, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://www.kipi-plugins.org/

Package: libkexiv2-3-trinity-dev
Section: libdevel
Architecture: any
Replaces: libkexiv2-3-kde3-dev (<< 4:14.0.0~), libkexiv2-3-trinity-dev (<< 4:14.0.0~)
Breaks: libkexiv2-3-kde3-dev (<< 4:14.0.0~), libkexiv2-3-trinity-dev (<< 4:14.0.0~)
Depends: libkexiv2-3-trinity (= ${binary:Version}), pkg-config
Description: Qt like interface for the libexiv2 library (development) [Trinity]
 libkexif2-dev contains development files and documentation for libkexiv2
 library.  The library documentation is available on kexiv2.h header file.
 .
 Libkexif is a wrapper around Exiv2 library to manipulate pictures metadata.

Package: libkexiv2-3-trinity
Section: libs
Architecture: any
Replaces: libkexiv2-3-kde3 (<< 4:14.0.0~), libkexiv2-3-trinity (<< 4:14.0.0~)
Breaks: libkexiv2-3-kde3 (<< 4:14.0.0~), libkexiv2-3-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Qt like interface for the libexiv2 library (runtime) [Trinity]
 libkexif2 contains the library of libkexiv2.
 .
 Libkexif is a wrapper around Exiv2 library to manipulate pictures metadata.

## libkexiv2-trinity 14.2.0~pre10

=== debian/changelog ===
libkexiv2-trinity (4:14.2.0~pre10-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 4f9ba39b90a0e4822cccafae3be7052d302c031f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libkexiv2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:21:39 +0100
